#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeplasmaver	5.27.12
%define		qtver		5.15.2
%define		kpname		kpipewire
Summary:	A set of convenient classes to use PipeWire in Qt projects
Summary(pl.UTF-8):	Zbiór wygodnych klas do używania PipeWire w projektach Qt
Name:		kp5-%{kpname}
Version:	5.27.12
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	e45f9c407bb8af0d961b75e646de5e74
URL:		https://kde.org/
BuildRequires:	Mesa-libgbm-devel
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Quick-devel >= %{qtver}
BuildRequires:	Qt5WaylandClient-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	ffmpeg-devel
BuildRequires:	kf5-extra-cmake-modules >= 5.102.0
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kwayland-devel
BuildRequires:	libdrm-devel >= 2.4.62
BuildRequires:	libepoxy-devel >= 1.3
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	ninja
BuildRequires:	pipewire-devel >= 0.3
BuildRequires:	plasma-wayland-protocols-devel
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	wayland-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kpipewire offers a set of convenient classes to use PipeWire
(https://pipewire.org/) in Qt projects.

%description -l pl.UTF-8
kpipewire oferuje zbiór wygodnych klas do używania PipeWire
(https://pipewire.org/) w projektach Qt.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Core-devel >= %{qtver}
Requires:	Qt5Gui-devel >= %{qtver}
Requires:	cmake >= 3.16

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir}

%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libKPipeWire.so.*.*.*
%ghost %{_libdir}/libKPipeWire.so.5
%attr(755,root,root) %{_libdir}/libKPipeWireDmaBuf.so.*.*.*
%ghost %{_libdir}/libKPipeWireDmaBuf.so.5
%attr(755,root,root) %{_libdir}/libKPipeWireRecord.so.*.*.*
%ghost %{_libdir}/libKPipeWireRecord.so.5
%dir %{_libdir}/qt5/qml/org/kde/pipewire
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/pipewire/libKPipeWireDeclarative.so
%{_libdir}/qt5/qml/org/kde/pipewire/qmldir
%dir %{_libdir}/qt5/qml/org/kde/pipewire/record
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/pipewire/record/libKPipeWireRecordDeclarative.so
%{_libdir}/qt5/qml/org/kde/pipewire/record/qmldir
%{_datadir}/qlogging-categories5/kpipewire.categories
%{_datadir}/qlogging-categories5/kpipewirerecord.categories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKPipeWire.so
%{_libdir}/libKPipeWireDmaBuf.so
%{_libdir}/libKPipeWireRecord.so
%{_includedir}/KPipeWire
%{_libdir}/cmake/KPipeWire
%changelog
* Tue May 27 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kpipewire.git;a=log;h=master

* Tue May 27 2025 Jakub Bogusz <qboosh@pld-linux.org> 4eee489
- updated dependencies

* Tue May 27 2025 Jakub Bogusz <qboosh@pld-linux.org> 877dff1
- .so permissions

* Tue May 27 2025 Jakub Bogusz <qboosh@pld-linux.org> dc1aadb
- pl

* Tue Jan 21 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6d79570
- updated to 5.27.12

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f04c4e5
- updated to 5.27.11

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2bbfb2f
- Revert "- 5.93.0"

* Wed Feb 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> fe80788
- 5.93.0

* Wed Dec 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d0470c7
- updated to 5.27.10

* Wed Oct 25 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f7b8eda
- updated to 5.27.9

* Mon Oct 16 2023 Jan Rękorajski <baggins@pld-linux.org> 2b9e316
- Release 2 (by relup.sh)

* Wed Sep 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9680117
- updated to 5.27.8

* Wed Aug 02 2023 Witold Filipczyk <witekfl@poczta.onet.pl> aa98b4e
- updated to 5.27.7; cmake -B build

* Wed Jun 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 81b7940
- updated to 5.27.6

* Mon Jun 19 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2fa624f
- rebuild against QT 5.15.10

* Thu May 11 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ccf55ba
- BR: kf5-plasma-wayland-protocols-devel

* Wed May 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8012524
- updated to 5.27.5

* Mon Apr 10 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 20371bb
- relup

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0b50526
- rebuild against QT 5.15.9

* Wed Apr 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ec21806
- BR: kf5-kwayland-devel

* Tue Apr 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7c20e6c
- updated to 5.27.4

